package com.ibiz.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.client.model.IOrgDept;
import com.ibiz.util.SearchContext;

/**
 * 实体[OrgDept] 服务对象接口
 */
public interface IOrgDeptClientService{

    public IOrgDept createModel() ;

    public void save(IOrgDept orgdept);

    public void syncToUserGroup(IOrgDept orgdept);

    public void getOrgDeptChild(IOrgDept orgdept);

    public void remove(IOrgDept orgdept);

    public void get(IOrgDept orgdept);

    public void update(IOrgDept orgdept);

    public void getDraft(IOrgDept orgdept);

    public void create(IOrgDept orgdept);

    public void checkKey(IOrgDept orgdept);

    public void getOrgDeptPrent(IOrgDept orgdept);

    public Page<IOrgDept> fetchDefault(SearchContext context);

    public Page<IOrgDept> fetchCUR_ORG(SearchContext context);

}
